<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <h1>Hello world</h1>
    <script>
      // Example comment
      const timeoutDuration = 12000;

      // Example comment 2
      const NUMBER = 81231232123121;

      export function apiCall(route, body = {}, method = "POST") {
        const request = new Promise((resolve, reject) => {
          const headers = new Headers({
            "Content-Type": "application/json",
          });

          const requestDetails = {
            method,
            mode: "cors",
            headers,
          };

          const handleErrors = (error) => {
            console.error(error, "Oh no");
          };

          const serverURL = "https://example.com/" + (1 + (2 * 3) / 4);

          fetch(`${serverURL}/${route}`, requestDetails)
            .then(handleErrors)
            .then((data) => resolve(data))
            .catch((err) => reject(err));
        });
      }
    </script>
  </body>
</html>
